{% extends "app/heat_marketplace.html" %}
{% block active_day_ahead_sessions %}
{% load staticfiles %}
<link rel="stylesheet" href="{% static 'app/content/font-awesome.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-table.min.css' %}"/>
<script src="{% static 'app/scripts/bootstrap-table.js' %}"></script>
<link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-datetimepicker.css' %}"/>
<script src="{% static 'app/scripts/moment.min.js' %}"></script>
<script src="{% static 'app/scripts/moment-timezone-with-data-2010-2020.min.js' %}"></script>
<script src="{% static 'app/scripts/bootstrap-datetimepicker.js' %}"></script>
<script src="{% static 'app/scripts/utilities.js' %}"></script>
<script type="text/javascript" src="{% static 'app/scripts/links/displayMarketActorDetails.js' %}" ></script>
<script type="text/javascript">
    var username = "{{ username }}";
    var is_dso = "{{ is_dso }}";
    var ACTION_URL = "{{ ACTION_URL }}";
    var ACTION_STATUS_URL = "{{ ACTION_STATUS_URL }}";
    var ACTION_TYPE_URL = "{{ ACTION_TYPE_URL }}";
    var MPLACE_URL = "{{ MPLACE_URL }}";
    var MARKET_ACTOR_URL = "{{ MARKET_ACTOR_URL }}";
    var USERNAME_TO_ACTOR = "{{ USERNAME_TO_ACTOR }}";
    var SELECT_MPLACE_URL = "{{ SELECT_MPLACE }}";
    var token = "{{token}}";
    var actorid = "{{actor.id}}";
    var type = "{{ HEAT }}";
    var form = "{{ THERMAL }}";
    var user_markets = JSON.parse(JSON.parse("{{ user_markets | safe | escapejs }}"));
    var is_authenticated = "{{ is_authenticated }}";
</script>
<script src="{% static 'app/scripts/select_mplaces_dayAhead.js' %}"></script>
{% csrf_token %}

<script type="text/javascript">
    $(".vertical_tab").removeClass("active");
    $("#day_ahead_tab").addClass("active");
    $(".tab-pane").removeClass("active");
    $("#ahead").addClass("active");
</script>

{% if actor == None %}
<h3>You have not been mapped to a known Market Actor. Please contact the Marketplace administrator.</h3>
{% else %}
    <center>
        <div id="session_holder"></div>
    </center>
    <script>
        var MPLACE = getMarketDA(type);
        var sessions = getSessionsofMarket();
        var ref_price = getReferencePrice(form);
        setMarketSessionInfo();
    </script>

 {% if request.session.actor.marketActorTypeid.type != "market operator" and is_dso != 1 %}
<div id="toolbar_da">
    <button id="newbtn_da" class="btn btn-default" onclick="newAction();"><i class="glyphicon glyphicon-plus"></i> Add offer/bid </button>
    <button id="slctbtn_da" type="button" class="btn btn-default hidden" disabled><i class="glyphicon glyphicon-ok"></i></button>
</div>
{% endif %}
<div id="table_data_helper" style="display: none;">
    <table
            id="data_table_session"
            data-toolbar="#toolbar_da"
            data-toggle="table"
            class="table"
            data-side-pagination="client"
            data-pagination="true"
            data-search="true"
            data-id-field="id"
            data-page-list="[10, 25, 50, 100, ALL]"
            data-sort-name="active"
            data-sort-order="desc"
            data-click-to-select="true"
            data-single-select="true"
            data-ajax-options="options">
        <thead>
            <tr>
                <th class="th th-inner" data-sortable="true" data-field="id">ID</th>

                     {% if request.session.actor.marketActorTypeid.type == "market operator"%}
                    <th class="th th-inner" data-sortable="true" data-field="participant" data-formatter="setMarketActorFormatter" data-visible="true">
                        Participant
                    </th>
                {% endif %}
                <th class="th th-inner" data-sortable="true" data-field="date">Date</th>
                <th class="th th-inner" data-sortable="true" data-field="actionStartTime">Start Time</th>
                <th class="th th-inner" data-sortable="true" data-field="actionEndTime">End Time</th>
                <th class="th th-inner" data-sortable="true" data-field="value" data-formatter="europeanNumberFormatter">Value (MWht)</th>
                <th class="th th-inner" data-sortable="true" data-field="price" data-formatter="europeanNumberFormatter">Price (&#8364;/MWht)</th>
                <th class="th th-inner" data-sortable="true" data-formatter="typeFormatter" data-field="actionType">Type</th>
                <th class="th th-inner" data-sortable="true" data-field="deliveryPoint" style="text-align:center;">Delivery Point</th>
                <th class="th th-inner" data-sortable="true" data-formatter="setActionStatusFormatter" data-field="actionStatus">Status</th>
                {% if request.session.actor.marketActorTypeid.type != "market operator" and is_dso != 1 %}
                <th class="th th-inner" data-sortable="false" data-formatter="manageRulesFormatter" data-field="edit">Manage</th>
                {% endif %}
            </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
</div>
<!--Add Action modal-->
<div class="modal fade" id="addAction" tabindex="-1" role="dialog" aria-labelledby="addActionLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title text-center" id="addActionLabel">Place a new market action</h4>
            </div>
            <form class="form-horizontal marginstopbot" id="AddActionForm" onsubmit="return false">
                <div class="form-group">
                    <label for="reference_price" class="col-sm-4 control-label">Reference price</label>
                    <div class='col-sm-6'>
                        <span id="reference_price"></span>
                    </div>
                </div>
                <div class="form-group">
                    <label for="actionStartTime" class="col-sm-4 control-label"><strong>Action start time</strong>
                        <small class="text-danger">*</small>
                    </label>
                    <div class='col-sm-6 date'>
                        <input type='text' class="form-control" placeholder="Action start time" id='actionStartTime'/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="actionEndTime" class="col-sm-4 control-label"><strong>Action end time</strong>
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-6 date">
                        <input type='text' class="form-control" placeholder="Action end time" id='actionEndTime'/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="value" class="col-sm-4 control-label"><strong>Value</strong>
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-6">
                        <input type="number" min="0" class="form-control" id="value" placeholder="Value"/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="uom" class="col-sm-4 control-label"><strong>Unit of measurement</strong>
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-6">
                        <select class="form-control" id="uoml">
                            <option value="-1" disabled="disabled" selected="selected">-- select unit --</option>
                            <option value="MWht">MWht</option>
                        </select>
                        <input type="hidden" id="uom" value="KWh"/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="price" class="col-sm-4 control-label"><strong>Price (&#8364;/MWht)</strong>
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-6">
                        <input type="number" class="form-control" id="price" placeholder="Price"/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="deliveryPoint" class="col-sm-4 control-label"><strong>Delivery point</strong>
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-6">
                        <input class="form-control" id="deliveryPoint" placeholder="Delivery point"/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="type" class="col-sm-4 control-label"><strong>Type</strong>
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-6">
                        <select class="form-control" id="typel">
                            <option value="-1" disabled="disabled" selected="selected">-- select type --</option>
                            <option value="offer">Offer</option>
                            <option value="bid">Bid</option>
                        </select>
                        <input type="hidden" id="type" value="offer"/>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4 col-md-4 col-lg-4 col-xs-12"></div>
                    <div class="col-sm-6" style="font-size:14px">
                        <label class="text-default"><span class="text-danger">*</span> Mandatory fields</label>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12 centre">
                        <button id="modalAccept" class="btn btn-accept btn-info btn-catalyst">Add</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>


<script>
$( document ).ready(function() {
        //moment.tz.setDefault("Europe/London");
        moment.tz.setDefault("UTC");

        customRefresher();
        $('#actionStartTime').datetimepicker();
        $('#actionStartTime').data("DateTimePicker").format('YYYY-MM-DD HH:mm ZZ');
        $('#actionEndTime').datetimepicker();
        $('#actionEndTime').data("DateTimePicker").format('YYYY-MM-DD HH:mm ZZ');
    });
</script>

{% endif %}

{% endblock %}
